Skip to main content

Join Queue

POST 

/session/v1/session/:session_id/queue

Add session to a matchmaking queue

Required Permissions:

  • For any player (including themselves) any of: session:*, session:update:any, session:update:self

Required Session Permissions: SessionPermissions.session_admin

Request

Path Parameters

    session_id Session Idrequired

    Possible values: non-empty and <= 128 characters

Body

required

    queue_id Queue Id (string)required

    Possible values: non-empty and <= 128 characters

    ID of the queue to join

    additional_join_params

    object

    Additional parameters to apply to a matchmaking ticket

    double_args

    object

    Additional double arguments to add to the matchmaking ticket

    property name* number

    string_args

    object

    Additional string arguments to add to the matchmaking ticket

    property name* string
    tags string[]

    Possible values: non-empty and <= 4096 characters

    Default value: ``

    Additional tags to add to the matchmaking ticket

    extensions

    object

    Additional extensions to add to the matchmaking ticket. Value is a base64 string representation of the protobuf binary data. The data will be converted back to binary before being put on the ticket

    property name* string
    map_preferences string[]

    Default value: ``

    List of map preferences in order from most desired, to least desired

    passed_queue_time_seconds Passed Queue Time Seconds (integer)

    Default value: 0

    Argument to artifcially add queue time to a ticket. Older tickets are considered for lower quaulity matches. This can be used to get faster matches at the expense of quality, or to restore a session's place in queue after a failure

Responses

Successful Response

Schema

    ticket_id Ticket Id (string)required

    ID for the newly created match making ticket

Loading...